import numpy as np
import Global as gl



f = gl.inputFile

l = np.empty(gl.n_stream,dtype=object)
for i in range(gl.n_stream):
    l[i]=[]

#i = 0
i = 1
while 1:

    line = f.readline()
    #if i==0:
        #i+=1
        #continue
    if not line:
        break
    
    line = str(line)
    tmp = str.split( line, ',' )[2]
    tmp = float( str.partition(tmp,'\n')[0] )
    
    index = i%gl.n_stream - 1
    l[index].append(tmp)
    i+=1    

dataAsNumpy = np.empty((gl.n_stream,len(l[0])))
for i in range(gl.n_stream):
    dataAsNumpy[i] = np.array(l[i])

